function [C,undetected,falsepositive] = ComputeDecisionCostsUniform(reported,realLocations)



global C00;
global C11;
global C10;
global C01;

detectedTargets = zeros(1,size(realLocations,2));

for i = 1:numel(reported)
    
    for j = 1:size(realLocations,2)
        if inside(reported(i),realLocations(:,j))
            detectedTargets(j) = 1;
            break
        end
    end
    
end


undetected = numel(detectedTargets)-sum(detectedTargets);
falsepositive = numel(reported)-sum(detectedTargets);

C = C10*falsepositive + C01*undetected;


function i = inside(t,pos)

if ( pos(1) < t.xmin ) || ...
        ( pos(1) > t.xmax ) || ...
        ( pos(2) < t.ymin ) || ...
        ( pos(2) > t.ymax )
    i = false;
else
    i = true;
end