function [ path length] = ComputeShortestPath( source, goal )
    [dist prev] = GetDijkstraInfo(source);
    u = goal;
    path = [];
    length = dist(goal);
    while u ~= 0
        path = [u path];
        u = prev(u);
    end
    
    %this shouldn't happen, but it's here in case
    if path(1) ~= source
       disp('Error could not find a path between the source and goal'); 
    end
end

