function I = ExpectedInformationGainUniform( pos )
%E[I(n)] = p(z = 0jm; n)I(n; 0) + p(z = 1jm; n)I(n; 1)
global alpha;
global beta;
global tree;

depth = tree(pos).depth;
I = ((1-alpha(depth))*(1-tree(pos).p) + beta(depth)*tree(pos).p)*InformationGainUniform(pos,0) + ...
    (alpha(depth)*(1-tree(pos).p) + (1-beta(depth))*tree(pos).p)*InformationGainUniform(pos,1);
end