function index = FindPoint(x,y)

%  Given a point in the search regiond returns the leaf containing the
%  point. Returned leaf does not need to be at the maximum depth

global tree;



index = 1; % starts from the root

while true
    
    if  tree(index).leaf == 1 % leaf? terminate
        break
        
    else % if internal node, descend into the right subtree    
        
        if  ( x < tree(index).xc ) && ( y > tree(index).yc )
            index = tree(index).NW;
        elseif  ( x > tree(index).xc ) && ( y > tree(index).yc )
            index = tree(index).NE;
        elseif  ( x > tree(index).xc ) && ( y < tree(index).yc )
            index = tree(index).SE;
        elseif  ( x < tree(index).xc ) && ( y < tree(index).yc )
            index = tree(index).SW;
        end
        
    end
    
end
