function UpdatePos3D(pos,handle,h,Robot_State,scanResult)

global tree;
global maxDepth;
global oldleaf;


figure(handle)

n = size(tree,2);

if numel(oldleaf) ~= n
    oldleaf = [ oldleaf zeros(1,n-numel(oldleaf))];
end

for i = 1:n
    
    if ( tree(i).leaf == 1 ) && ( oldleaf(i) == 0 )
        h_line(1) = line([tree(i).xmin tree(i).xmax],[tree(i).ymin tree(i).ymin]);
        h_line(2) = line([tree(i).xmin tree(i).xmax],[tree(i).ymax tree(i).ymax]);
        h_line(3) = line([tree(i).xmin tree(i).xmin],[tree(i).ymin tree(i).ymax]);
        h_line(4) = line([tree(i).xmax tree(i).xmax],[tree(i).ymin tree(i).ymax]);
        set(h_line, 'Color', 'black');
        oldleaf(i) = 1;
    end
    
end

for i=1:size(pos,2)
    x = pos(1,i);
    y = pos(2,i);
    z = (maxDepth+1)*10-pos(3,i)*10;
    color = [0 0 1];
    if Robot_State(i) == 2
        if(scanResult(i,1)==1)
            color = [0 1 0]; %green on detection
        else
            color = [1 0 0]; %red on no detection
        end
        set( h(2,i), 'XData', [x x], 'YData', [y y], 'ZData', [0 z],'Color',color,'LineWidth',2);
    else
        set( h(2,i), 'XData', [x x], 'YData', [y y], 'ZData', [0 z],'Color',[0 0 1],'LineWidth',0.5);
    end
    set( h(1,i), 'XData', x, 'YData', y, 'ZData', z,'Color',color);
end

