function  CheckTreeConsistency

% Debugging function; makes sure constraints are verified everywhere

global tree;
global epsilon;
global scanResult;

n = size(tree,2);

for i = 1:n % for all nodes
    
    c = tree(i); 
  
    
    if c.leaf == 0  % makes sure constraint 1 is satisfied
        nw = tree(c.NW);
        sw = tree(c.SW);
        ne = tree(c.NE);
        se = tree(c.SE);
        if ( abs((1-c.p)-(1-nw.p)*(1-sw.p)*(1-ne.p)*(1-se.p)) > epsilon )
            abs((1-c.p)-(1-nw.p)*(1-sw.p)*(1-ne.p)*(1-se.p))
            save('ErrorDump');
            error('Composition rule violated at node %f',i);
        end
    end
    
end

