function [x,y] = GetRandomPosition

% generates a random valid sense position; debug purposes only

global tree;
global maxDepth;

depth = 1;
x = tree(1).xc;
y = tree(1).yc;

while (depth < maxDepth-1 ) && ( rand(1) > 0.3 )
%while (depth < 3 )
    d = floor(rand(1)*4)+1; % random direction
    deltax = (tree(1).xmax-tree(1).xmin);
    deltay = (tree(1).ymax-tree(1).ymin);
    deltax = deltax/2^(depth+1);
    deltay = deltay/2^(depth+1);
    depth = depth+1;
    switch d
        case 1
            x = x-deltax;
            y = y+deltay;
        case 2
            x = x+deltax;
            y = y+deltay;
        case 3
            x = x+deltax;
            y = y-deltay;
        case 4
            x = x-deltax;
            y = y-deltay;
    end
end
