function labelTree( handle );

global tree;



if (nargin == 0)
    h_tree = DrawQuadTree;
    
    hold on;
    for n = 1:size(tree,2)
       h_text = text( tree(n).xc, tree(n).yc, max(get(gca, 'ZLim')), num2str(n) ); 
       set(h_text, 'FontSize', 8);
    end
    hold off;
    
else
    figure(handle);
    
    for n = 1:size(tree,2)
       h_text = text( tree(n).xc, tree(n).yc, max(get(gca, 'ZLim')), num2str(n) ); 
       set(h_text, 'FontSize', 8);
    end
    
    
end



end